Skip to main content
GET
/
api
/
v2
/
webhooks
/
{webhookId}
Gets a webhook settings by its Id
curl --request GET \
  --url https://gateway.paybyrd.com/api/v2/webhooks/{webhookId} \
  --header 'x-api-key: <api-key>'
{
  "id": "8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf",
  "url": "https://your-url.com/webhook",
  "webhookUser": "b73e9449-e1dc-485a-b4c7-19c540e96cd1",
  "webhookPassword": "@bc123",
  "events": []
}

Authorizations

x-api-key
string
header
required

Path Parameters

webhookId
string
required

The webhook that you to get settings info from.

Response

200 - application/json

200

id
string
Example:

"8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf"

url
string
Example:

"https://your-url.com/webhook"

webhookUser
string
Example:

"b73e9449-e1dc-485a-b4c7-19c540e96cd1"

webhookPassword
string
Example:

"@bc123"

events
string[]